using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace TraceMonitor {
   /// <summary>
   /// Modal Dialog Box to allow the user to add words to the filter list. Any word added to this list will force that
   /// individual message not to show. Can also be a regular expression.
   /// </summary>
   public class AddFilteredWordForm : System.Windows.Forms.Form {
      private System.Windows.Forms.Label label1;
      private System.Windows.Forms.Button okButton;
      private System.Windows.Forms.Button cancelButton;
      private System.Windows.Forms.TextBox filteredWord;
      /// <summary>
      /// Required designer variable.
      /// </summary>
      private System.ComponentModel.Container components = null;

      public AddFilteredWordForm() {
         //
         // Required for Windows Form Designer support
         //
         InitializeComponent();
      }

      /// <summary>
      /// Clean up any resources being used.
      /// </summary>
      protected override void Dispose( bool disposing ) {
         if( disposing ) {
            if(components != null) {
               components.Dispose();
            }
         }
         base.Dispose( disposing );
      }

		#region Windows Form Designer generated code
      /// <summary>
      /// Required method for Designer support - do not modify
      /// the contents of this method with the code editor.
      /// </summary>
      private void InitializeComponent() {
         this.label1 = new System.Windows.Forms.Label();
         this.okButton = new System.Windows.Forms.Button();
         this.filteredWord = new System.Windows.Forms.TextBox();
         this.cancelButton = new System.Windows.Forms.Button();
         this.SuspendLayout();
         // 
         // label1
         // 
         this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
         this.label1.Location = new System.Drawing.Point(8, 8);
         this.label1.Name = "label1";
         this.label1.Size = new System.Drawing.Size(240, 23);
         this.label1.TabIndex = 0;
         this.label1.Text = "Enter the word (Regular Expression) to filter";
         // 
         // okButton
         // 
         this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
         this.okButton.Location = new System.Drawing.Point(43, 64);
         this.okButton.Name = "okButton";
         this.okButton.TabIndex = 2;
         this.okButton.Text = "OK";
         // 
         // filteredWord
         // 
         this.filteredWord.Location = new System.Drawing.Point(8, 32);
         this.filteredWord.Name = "filteredWord";
         this.filteredWord.Size = new System.Drawing.Size(240, 20);
         this.filteredWord.TabIndex = 1;
         this.filteredWord.Text = "";
         // 
         // cancelButton
         // 
         this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
         this.cancelButton.Location = new System.Drawing.Point(139, 64);
         this.cancelButton.Name = "cancelButton";
         this.cancelButton.TabIndex = 3;
         this.cancelButton.Text = "Cancel";
         // 
         // AddFilteredWordForm
         // 
         this.AcceptButton = this.okButton;
         this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
         this.CancelButton = this.cancelButton;
         this.ClientSize = new System.Drawing.Size(256, 94);
         this.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                      this.cancelButton,
                                                                      this.filteredWord,
                                                                      this.okButton,
                                                                      this.label1});
         this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
         this.Name = "AddFilteredWordForm";
         this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
         this.Text = "AddFilteredWordForm";
         this.ResumeLayout(false);

      }
		#endregion

      /// <summary>
      /// Returns the entered word or regular expression from the text box.
      /// </summary>
      public String FilteredWord {
         get { return filteredWord.Text; }
      }
   }
}
