using System;

namespace TraceMonitor {
   /// <summary>
   /// Interface to allow modal dialog box to fetch messages from the process list.
   /// </summary>
   public interface IViewableList {
      /// <summary>
      /// Fetch the previous message in the list.
      /// </summary>
      /// <param name="messageTime">Returns the message time (in secs from process start)</param>
      /// <param name="message">Returns the actual text of the message.</param>
      /// <returns>True if the message exists, false if there is no message</returns>
      bool getPreviousMessage(out String messageTime, out String message);

      /// <summary>
      /// Fetch the next message in the list.
      /// </summary>
      /// <param name="messageTime">Returns the message time (in secs from process start)</param>
      /// <param name="message">Returns the actual text of the message.</param>
      /// <returns>True if the message exists, false if there is no message</returns>
      bool getNextMessage(out String messageTime, out String message);
   }
}
