using System;

namespace TraceMonitor {

   /// <summary>
   /// Individual message info.
   /// </summary>
   public class MessageInfo {
      private String _message;
      /// <summary>
      /// Text of the actual message.
      /// </summary>
      public String Message {
         get { return _message; }
      }

      private String _secondsSinceStart;
      /// <summary>
      /// Seconds since start.
      /// </summary>
      public String SecondsSinceStart {
         get { return _secondsSinceStart; }
      }

      private int _processId;
      /// <summary>
      /// Process id of the message. (Used primarily for the aggregate list)
      /// </summary>
      public int ProcessId {
         get { return _processId; }
      }

      /// <summary>
      /// Constructor.
      /// </summary>
      /// <param name="ProcessId"></param>
      /// <param name="message"></param>
      /// <param name="trackingStartTime"></param>
      public MessageInfo(int ProcessId, String message, DateTime trackingStartTime) {
         _message = message.TrimEnd('\r', '\n', '\t', ' ');
         _secondsSinceStart = String.Format("{0:f3}", ((TimeSpan)(DateTime.Now - trackingStartTime)).TotalSeconds);
         _processId = ProcessId;
      }
   }
}